# Uses of Class
com.ocient.rest.MetricsResponse

Packages that use MetricsResponse
Package
Description
com.ocient.rest
com.ocient.rest.resources

## Uses of MetricsResponse in com.ocient.rest

Methods in com.ocient.rest that return MetricsResponse
Modifier and Type
Method
Description
`static MetricsResponse`
MetricsResponse.`delayed(List<Metric<?>> metrics)`
Returns a response that defers capture of `Metric` values until JSON serialization using the com.fasterxml.jackson.databind `JsonSerializer`.
`static MetricsResponse`
MetricsResponse.`snapshot(List<Metric<?>> metrics)`
Eagerly snapshots the current values for all `Metric`s.
Methods in com.ocient.rest with parameters of type MetricsResponse
Modifier and Type
Method
Description
`void`
MetricsResponse.Serializer.`serialize(MetricsResponse value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)`

## Uses of MetricsResponse in com.ocient.rest.resources

Methods in com.ocient.rest.resources that return MetricsResponse
Modifier and Type
Method
Description
`MetricsResponse`
MetricsResource.`getAll()`
Get all available metrics